show_source
sys_getloadavg
Misc. Functions
PHP Manual

# sleep

(PHP 4, PHP 5)

sleep — Delay execution

### Description

int sleep ( int `$seconds` )

Delays the program execution for the given number of `seconds`.

### Parameters

`seconds`

  Halt time in seconds.

### Return Values

Returns zero on success, or `FALSE` on errors. If the call was interrupted by a signal, sleep() returns the number of seconds left to sleep.

### Errors/Exceptions

If the specified number of `seconds` is negative, this function will generate a `E_WARNING`.

### Examples

Example #1 sleep() example

`<?php
// current time
echo date('h:i:s') . "\n";
// sleep for 10 seconds
sleep(10);
// wake up !
echo date('h:i:s') . "\n";
?>`

This example will output (after 10 seconds)

    05:31:23
    05:31:33

### See Also

- usleep() - Delay execution in microseconds
- time_nanosleep() - Delay for a number of seconds and nanoseconds
- time_sleep_until() - Make the script sleep until the specified time
- set_time_limit() - Limits the maximum execution time

show_source
sys_getloadavg
Misc. Functions
PHP Manual